getVpcPeeringInstanceList

Prev Next

Available in VPC

Get the list of VPC peering instances based on the specified conditions.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getVpcPeeringInstanceList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the VPC peering instance list
vpcPeeringInstanceNoList.N List[String] Optional Query with the VPC peering instance number.
  • vpcPeeringInstanceNo can be obtained through getVpcPeeringInstanceList.
  • Example: vpcPeeringInstanceNoList.1=1234&vpcPeeringInstanceNoList.2=2345
sourceVpcName String Optional Query with the VPC name that requested peering.
targetVpcName String Optional Query with the VPC name that accepted peering.
vpcPeeringName String Optional Query with the VPC peering name.
vpcPeeringInstanceStatusCode String Optional Query with the status code of the VPC peering instance.
  • INIT | RUN | TERMTING
    • INIT: pending acceptance
    • RUN: running
    • TERMTING: terminating
pageNo Integer Optional Page numbers in paged results
  • Page the result values using pageNo and pageSize.
pageSize Integer Conditional Number of results to display on a page
  • Required when entering pageNo
  • Page the result values using pageNo and pageSize.
sortedBy String Optional Criteria for sorting query results
  • vpcPeeringName | sourceVpcName | targetVpcName
    • vpcPeeringName: VPC peering name
    • sourceVpcName: requested VPC name
    • targetVpcName: accepted VPC name
sortingOrder String Optional Set the ascending or descending sort order when using sortedBy.
  • ASC (default) | DESC
    • ASC: ascending order
    • DESC: descending order
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getVpcPeeringInstanceList
?regionCode=KR
&vpcPeeringInstanceNoList.1=***6212
&sourceVpcName=test-***
&targetVpcName=test-***
&vpcPeeringName=test-peering
&vpcPeeringInstanceStatusCode=RUN' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See VpcPeeringInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getVpcPeeringInstanceListResponse>
  <requestId>d0d25721-3f73-4b76-baf8-63232d5a8351</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <vpcPeeringInstanceList>
    <vpcPeeringInstance>
      <vpcPeeringInstanceNo>***6212</vpcPeeringInstanceNo>
      <vpcPeeringName>test-***</vpcPeeringName>
      <regionCode>KR</regionCode>
      <createDate>2020-08-05T20:53:16+0900</createDate>
      <lastModifyDate>2020-08-05T20:53:16+0900</lastModifyDate>
      <vpcPeeringInstanceStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </vpcPeeringInstanceStatus>
      <vpcPeeringInstanceStatusName>Running</vpcPeeringInstanceStatusName>
      <vpcPeeringInstanceOperation>
        <code>NULL</code>
        <codeName>NULL OP</codeName>
      </vpcPeeringInstanceOperation>
      <sourceVpcNo>***05</sourceVpcNo>
      <sourceVpcName>test-***</sourceVpcName>
      <sourceVpcIpv4CidrBlock>***.**1.0.0/16</sourceVpcIpv4CidrBlock>
      <sourceVpcLoginId>test-***@naver.com</sourceVpcLoginId>
      <targetVpcNo>***06</targetVpcNo>
      <targetVpcName>test-***</targetVpcName>
      <targetVpcIpv4CidrBlock>***.**2.0.0/16</targetVpcIpv4CidrBlock>
      <targetVpcLoginId>test-***@naver.com</targetVpcLoginId>
      <vpcPeeringDescription></vpcPeeringDescription>
      <hasReverseVpcPeering>false</hasReverseVpcPeering>
      <isBetweenAccounts>false</isBetweenAccounts>
      <reverseVpcPeeringInstanceNo></reverseVpcPeeringInstanceNo>
    </vpcPeeringInstance>
  </vpcPeeringInstanceList>
</getVpcPeeringInstanceListResponse>